Index: code/branches/libraries2/src/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/CMakeLists.txt	(revision 5715)
+++ code/branches/libraries2/src/CMakeLists.txt	(revision 5716)
@@ -72,42 +72,29 @@
   ${CMAKE_CURRENT_SOURCE_DIR}
   # Bullet headers really need the include directory
-  ${CMAKE_CURRENT_SOURCE_DIR}/bullet
+  ${CMAKE_CURRENT_SOURCE_DIR}/external/bullet
   # OIS headers need the root dir as well
-  ${CMAKE_CURRENT_SOURCE_DIR}/ois
-  # Convenience directory
-  ${CMAKE_CURRENT_SOURCE_DIR}/orxonox
+  ${CMAKE_CURRENT_SOURCE_DIR}/external/ois
   # OrxonoxConfig.h
   ${CMAKE_CURRENT_BINARY_DIR}
   # Tolua bind files for Core
-  ${CMAKE_CURRENT_BINARY_DIR}/core/${CMAKE_CFG_INTDIR}
+  ${CMAKE_CURRENT_BINARY_DIR}/libraries/core/${CMAKE_CFG_INTDIR}
   # Tolua bind files for Orxonox
   ${CMAKE_CURRENT_BINARY_DIR}/orxonox/${CMAKE_CFG_INTDIR}
+
+  # Add the base directories for convenience
+  ${CMAKE_CURRENT_SOURCE_DIR}/external
+  ${CMAKE_CURRENT_SOURCE_DIR}/libraries
+  ${CMAKE_CURRENT_SOURCE_DIR}/modules
+  ${CMAKE_CURRENT_SOURCE_DIR}/orxonox
 )
 
+IF(CEGUILUA_USE_INTERNAL_LIBRARY)
+  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/external/ceguilua/ceguilua-${CEGUI_VERSION})
+ENDIF()
 
 ################ Sub Directories ################
 
-# Third party libraries
-ADD_SUBDIRECTORY(tolua)
-
-# Include CEGUILua if not requested otherwise
-IF(CEGUILUA_USE_INTERNAL_LIBRARY)
-  IF(NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua/ceguilua-${CEGUI_VERSION})
-    MESSAGE(FATAL_ERROR "CEGUILua version not found in src folder. Update list of supported versions in LibraryConfig.cmake!")
-  ENDIF()
-
-  INCLUDE_DIRECTORIES(ceguilua/ceguilua-${CEGUI_VERSION})
-  ADD_SUBDIRECTORY(ceguilua)
-ENDIF()
-
-ADD_SUBDIRECTORY(bullet)
-ADD_SUBDIRECTORY(cpptcl)
-ADD_SUBDIRECTORY(ogreceguirenderer)
-ADD_SUBDIRECTORY(ois)
-ADD_SUBDIRECTORY(tinyxml)
-
-# Orxonox code
-ADD_SUBDIRECTORY(util)
-ADD_SUBDIRECTORY(core)
-ADD_SUBDIRECTORY(network)
+ADD_SUBDIRECTORY(external)
+ADD_SUBDIRECTORY(libraries)
+ADD_SUBDIRECTORY(modules)
 ADD_SUBDIRECTORY(orxonox)
Index: code/branches/libraries2/src/external/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/external/CMakeLists.txt	(revision 5716)
+++ code/branches/libraries2/src/external/CMakeLists.txt	(revision 5716)
@@ -0,0 +1,38 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
+################ Sub Directories ################
+
+ADD_SUBDIRECTORY(tolua)
+
+# Include CEGUILua if not requested otherwise
+IF(CEGUILUA_USE_INTERNAL_LIBRARY)
+  IF(NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua/ceguilua-${CEGUI_VERSION})
+    MESSAGE(FATAL_ERROR "CEGUILua version not found in src folder. Update list of supported versions in LibraryConfig.cmake!")
+  ENDIF()
+
+  ADD_SUBDIRECTORY(ceguilua)
+  SET(CEGUILUA_LIBRARY ${CEGUILUA_LIBRARY} PARENT_SCOPE)
+ENDIF()
+
+ADD_SUBDIRECTORY(bullet)
+ADD_SUBDIRECTORY(cpptcl)
+ADD_SUBDIRECTORY(ogreceguirenderer)
+ADD_SUBDIRECTORY(ois)
+ADD_SUBDIRECTORY(tinyxml)
Index: code/branches/libraries2/src/libraries/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/libraries/CMakeLists.txt	(revision 5716)
+++ code/branches/libraries2/src/libraries/CMakeLists.txt	(revision 5716)
@@ -0,0 +1,24 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
+################ Sub Directories ################
+
+ADD_SUBDIRECTORY(core)
+ADD_SUBDIRECTORY(network)
+ADD_SUBDIRECTORY(util)
Index: code/branches/libraries2/src/modules/CMakeLists.txt
===================================================================
--- code/branches/libraries2/src/modules/CMakeLists.txt	(revision 5716)
+++ code/branches/libraries2/src/modules/CMakeLists.txt	(revision 5716)
@@ -0,0 +1,21 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
+################ Sub Directories ################
+
